unit uProhlizec;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, jpeg, ExtCtrls, StdCtrls;
const OKRAJOKNA=30;
type
  TfrmProhlizec = class(TForm)
    imgObrazek: TImage;
    procedure FormCreate(Sender: TObject);
    procedure NastavUdaje(cesta:string; soubor:string; souboru:integer);
    procedure FormKeyDown(Sender: TObject; var Key: Word; Shift: TShiftState);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure imgObrazekDblClick(Sender: TObject);
    procedure NastavObrazky;
    procedure NastavInfo;
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmProhlizec: TfrmProhlizec;
  posledni, prvni, nasledujici, tento, predchozi:TJPEGImage;
  idealniVyska, idealniSirka:integer;

implementation

{$R *.dfm}

uses uPadr;


procedure TfrmProhlizec.NastavInfo;
var Datum:TDateTime;
    sc:TSearchRec;
begin
{  Datum:=(sc.Time+79*365-7*30-6)/3600/24+79*365-7*30-6;
  memInfo.Lines.Clear;
  memInfo.Lines.Add('Jmno: ' + sc.Name);
  memInfo.Lines.Add('Vleikost: '+ inttostr(sc.Size));
  memInfo.Lines.Add('Datum: ' + Datetostr(Datum));
  memInfo.Lines.Add('as: ' + TimeTostr(Datum));
  memInfo.Lines.Add('X: ' + inttostr(img.Width));
  memInfo.Lines.Add('Y: ' + inttostr(img.Height));}
  //nastavovalo by Memo informace
end;


procedure TfrmProhlizec.NastavObrazky;
begin
   with frmPadr.flbSoubory do begin
   posledni.LoadFromFile(cesta + Items[Items.Count-1]);
   prvni.LoadFromFile(cesta + Items[0]);
   if itemIndex<>Items.Count-1 then begin
      nasledujici.LoadFromFile(cesta + Items[itemindex+1]);
   end else begin
      nasledujici:=prvni;
   end;

   if itemIndex<>0 then begin
      predchozi.LoadFromFile(cesta + Items[itemindex-1]);
   end else begin
      predchozi:=posledni;
   end;
   end;
end;

procedure TfrmProhlizec.FormClose(Sender: TObject; var Action: TCloseAction);
begin
   frmPadr.Enabled:=true;
   frmProhlizec.Visible:=false;
end;

procedure TfrmProhlizec.FormCreate(Sender: TObject);
begin
   //nastaveni prohlizece
   frmProhlizec.Height:=Screen.Height-OKRAJOKNA;  // vyska obrazovky - okraj okna
   frmProhlizec.Width:=Screen.Width;
   frmProhlizec.Top:=0;
   frmProhlizec.Left:=0;

   //nastaveni velikosti obrazku
   imgObrazek.Width:=frmProhlizec.ClientWidth;
   imgObrazek.Height:=frmProhlizec.ClientHeight;
   imgObrazek.Left:=0;
   imgObrazek.Top:=0;

   //konstukce
   posledni:=TJpegImage.Create;
   prvni:=TJpegImage.Create;
   nasledujici:=TJpegImage.Create;
   tento:=TjpegImage.Create;
   predchozi:=TjpegImage.Create;
end;

procedure TfrmProhlizec.FormKeyDown(Sender: TObject; var Key: Word;
  Shift: TShiftState);
var konst:double;
begin
   if imgObrazek.Width>imgobrazek.Height then begin
      konst:=imgObrazek.Width/imgObrazek.Height;
   end else begin
      konst:=imgObrazek.Height/imgObrazek.Width;
   end;

   if Key=27 then begin    //stisknuto ESC
      Close;   //ukonci vse
      frmPAdr.Close;      //ukonci aplikaci
   end;

   if Key=107 then begin
      imgObrazek.Height:=imgObrazek.Height+round(10*konst);
      imgObrazek.Width:=imgObrazek.Width+round(10*konst);
   end;

   if Key=109 then begin
      imgObrazek.Height:=imgObrazek.Height-round(10*konst);;
      imgobrazek.Width:=imgObrazek.Width-round(10*konst);;
   end;

   if Key=111 then begin
      imgObrazek.Height:=idealniVyska;
      imgObrazek.Width:=idealniSirka;
   end;

   if Key=35 then begin
      imgObrazek.Picture.Assign(posledni);
      frmPadr.flbSoubory.ItemIndex:=frmPadr.flbSoubory.Items.Count-1;
      NastavObrazky;
   end;

   if Key=36 then begin
      imgObrazek.Picture.Assign(prvni);
      frmPadr.flbSoubory.ItemIndex:=0;
      NastavObrazky;
   end;

   if Key=33 then begin
      with frmPAdr.flbSoubory do begin
      imgObrazek.Picture.Assign(nasledujici); //nasledujici obrazek
      if ItemIndex<>items.Count then begin        //jestli nejsem posledni obrazek
          ItemIndex:=frmPadr.flbSoubory.ItemIndex+1;    //o jeden vyse
      end else begin
          ItemIndex:=0;  //prvni
      end;
      end;
      NastavObrazky;     //obnovi obrazky
   end;

   if Key=34 then begin
      with frmPAdr.flbSoubory do begin
      imgObrazek.Picture.Assign(predchozi); //nasledujici obrazek
      if ItemIndex<>0 then begin        //jestli nejsem prvni obrazek
          ItemIndex:=frmPadr.flbSoubory.ItemIndex-1;    //o jeden nize
      end else begin
          ItemIndex:=items.Count;  //posledni
      end;
      end;
      NastavObrazky;     //obnovi obrazky
   end;

end;

procedure TfrmProhlizec.imgObrazekDblClick(Sender: TObject);
begin
   frmPadr.Enabled:=true;
   frmProhlizec.Visible:=false;
end;

procedure TFrmProhlizec.NastavUdaje(cesta: string; soubor: string; souboru: Integer);
var img:TJpegImage;
    konst:double;
begin
   //nastav zakladni udaje
   img:=TJpegImage.Create;
   img.LoadFromFile(cesta+otevreny);   //nacti soubor podle cesty
   imgObrazek.Picture.Bitmap.Assign(img);     //nastav vlastnost picture nahledu
   if img.Height>img.Width then begin
      konst:=Clientheight/img.Height;
      imgObrazek.Width:=trunc(img.Width*konst);
      idealniVyska:=imgObrazek.Height;
   end else begin
      konst:=clientWidth/img.Width;
      imgObrazek.height:=trunc(img.Height*konst);
      idealniSirka:=imgObrazek.Width;
   end;
   img.Free;
   NastavObrazky;
end;
end.
